integrate resin

I am using IDEA5.1.2 and Resin3.0 .I have installed Resin plugin 3.9.0(copied the resin plugin jar to idea plugins directoroy), but I don't know how it works and how to debug with it.
Could you help me ?
3Q

7 comments
Comment actions Permalink

Hi

Instead of downloading the JAR and copying it to your plugin folder, use
the plugin manager from within the Settings dialog.

Then go to settings > application servers and add a new Resin application server

When this is done you simply create a web module and then there will be
an option for starting Resin from the Run/Debug dialog.

/Magnus Johansson

0
Comment actions Permalink

3q for your help. I did following your advice, and I did could start resin in idea,but I still could not debug it .I got the error "Faild to establish connection to the target VM, address:'127.0.0.3161,transport 'socket' ", I post my config pic, could u help me?

Thanks and Regards

ohau



Attachment(s):
config.jpg
error.jpg
0
Comment actions Permalink

It seems like the plugin installation failed. If the plugin installed correctly you should have a Resin tab in the Run configuration. When you manage the Application Servers, do you see a Add > Resin Server?

What version of IntelliJ IDEA are you using?

/Magnus Johansson

0
Comment actions Permalink

I use idea 5.1.2. u r right, I could not see the Resin tab. In Application Server manager, I could see add Tomcat Server, WebLogic Server and Generic but Resin Server.How to install Resin plugin correctly? I just download the jar and dropped it into the plugin dir.I could see Resin plugin installed in plugin manager.

I tried to add Resin as a generic server and write a resin startup script to start resin outside idea, and now I could debug resin in idea, but I could not set breakpoint in JSPs, how could I debug Jsps with resin ?

thanks and regards.

Message was edited by:
ohau

Message was edited by:
ohau

0
Comment actions Permalink

my plugins manager



Attachment(s):
plugins manager.jpg
0
Comment actions Permalink

Aha, now I understand. Version 3.9.0 is intended to be used for IDEA 6.0 when it is released. For the 5.x versions, the latest plugin version is 2.9.5 It can be downloaded from
http://plugins.intellij.net/plugin/?id=215

There's now difference in functionality between 3.9.0 and 2.9.5, they are just compiled for different versions of the IDEA API.

So remove version 3.9.0 and install 2.9.5 and it should work.


/Magnus

0
Comment actions Permalink

Pretty good guy.3q very much. :)

0

Please sign in to leave a comment.